Bug 4943 - Search history cookie size limit
Summary: Search history cookie size limit
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: rel_3_2
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Paul Poulain
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 5584
  Show dependency treegraph
 
Reported: 2010-07-06 14:24 UTC by Fridolin SOMERS
Modified: 2012-10-25 23:03 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (773 bytes, patch)
2011-03-28 21:11 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2010-07-06 14:24:36 UTC
For a none logged-in user : 

When using search many times, comes a time when search history stops (around 15).
When not logged-in, search history is stored in a cookie and this cookie is full.
Its size is limited by browser at 4Ko.

Search history could erase old searches to keep space in cookie.

Regards.
Comment 1 Chris Cormack 2011-03-28 21:11:57 UTC
Created attachment 3481 [details] [review]
Proposed Patch
Comment 2 Julian Maurice 2011-03-30 10:04:08 UTC
Works as expected. Signed off.
Comment 3 Chris Cormack 2011-03-31 23:08:48 UTC
Pushed, please test